import request from '@/utils/request'

// 查询111列表
export function listCareRecords(query) {
  return request({
    url: '/care/careRecords/list',
    method: 'get',
    params: query
  })
}

// 查询111详细
export function getCareRecords(recordId) {
  return request({
    url: '/care/careRecords/' + recordId,
    method: 'get'
  })
}

// 新增111
export function addCareRecords(data) {
  return request({
    url: '/care/careRecords',
    method: 'post',
    data: data
  })
}

// 修改111
export function updateCareRecords(data) {
  return request({
    url: '/care/careRecords',
    method: 'put',
    data: data
  })
}

// 删除111
export function delCareRecords(recordId) {
  return request({
    url: '/care/careRecords/' + recordId,
    method: 'delete'
  })
}
